        {
            # This filters will be known as (required)
            name = "HTMLWriterExample";
            # It is of the type
            type = "HTMLWriter";
            # And gets its data from
            datasource = "Inverter1";

            # The module has a parameter-set which might be useful for generating
            # your own templates: Template-Generatin-Assitance. In this mode, all generated
            # values will be put out to a template file called like the name of
            # the HTML Writer object (see above, name), listing all known capabilites
            # for the inveerter.

            # the next one is the main switch for the feature: (optional, default false)
            # generate_template = false;

            # this one says the template generator, in what directory to put
            # the template (optional, default /tmp/)
            # generate_template_dir = "/tmp/";

            #update the HTML page every seconds:
            #the value "0" means everytime something changes ,probably not what you want
            #( WARNING: THE VALUE 0 IS NOT YET IMPLEMENTED)
            #if not given, we will try to extract this out of the Data Query Interval
            #of the inverter, which will, if not available, defaults to 300.
            #if not available
            #writeevery=300;

            # As in the CSV Plugin,
            # you can specify here the file/path where to store the files
            # the files. %s will be replaced by the current date in ISO 8601
            # format: YYYY-MM-DD. When there is no %s, the file will be replaced
            # on midnight.
            # This option is required.
            htmlfile="/var/www/solarpowerlog-%s.html";

            # Template file to be used
            # This file will be loaded as template... Mandatory.
            templatefile="example_confs/htmlwritertemplate/test.tmpl";

            # The filter can do some modifcations on the values
            # before handing them over to the template engine:
            # to keep it flexible, this is done with this list lists:
            # what_capbility names the one to be formatted
            # formatting operation is the operation to be performed:
            #   stripwebroot    remove the webroot-prefix from the capa

            formatters = (
            # (  what_capability,    formating_operation )
              (   CVSDumper::Filename, stripwebroot      )
            );


        }

        